function z = zeta(s)
%ZETA	Riemann Zeta function.
%	ZETA(s) = sum(1/k^s,k=1..infinity).

%	Copyright (c) 1993-95 by The MathWorks, Inc.
%	$Revision: 1.7 $  $Date: 1995/03/01 21:39:03 $

if any(any(imag(s)))
   error('Zeta(s) available only for real s.')
end

% zeta(1) is infinite.
p = find(s==1);
s(p) = zeros(size(p));
z = mfun('zeta',s);
z(p) = Inf*ones(size(p));
